import 'package:freezed_annotation/freezed_annotation.dart';

part 'equipment_in_request.freezed.dart';
part 'equipment_in_request.g.dart';

@freezed
class EquipmentInRequest with _$EquipmentInRequest {
  const factory EquipmentInRequest({
    required int equipmentId,
    required int quantity,
    int? warehouseLocationId,
    String? notes,
  }) = _EquipmentInRequest;

  factory EquipmentInRequest.fromJson(Map<String, dynamic> json) =>
      _$EquipmentInRequestFromJson(json);
}